Bug 433012 - Review Request: cloudy - Spectral synthesis code to simulate conditions in interstellar matter
Review Request: cloudy - Spectral synthesis code to simulate conditions in i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 12:58 EST by Sergio Pascual
Modified: 2008-02-24 16:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-24 16:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-02-15 12:58:40 EST
Spec URL: http://sergiopr.fedorapeople.org/cloudy.spec
SRPM URL: http://sergiopr.fedorapeople.org/cloudy-07.02.01-1.fc8.src.rpm
Description: Most of the quantitative information we 
have about the cosmos comes from 
spectroscopy. In many cases the light we analyze was produced by atoms in 
the first generations of stars and galaxies.  The spectra are produced by 
dilute gas where such properties as the gas kinetic temperature, chemical 
state, level of ionization, and level populations, are determined by a 
host of microphysical processes rather than by a single temperature. 
Analytical solutions are seldom possible and computer solutions are 
needed to understand their physical properties. Numerical simulations make 
it possible to understand complex physical environments starting from 
first principles. Cloudy is designed to do exactly this.
Comment 1 Jason Tibbitts 2008-02-17 12:32:00 EST
This fails to build for me in rawhide.  The build log is about 3000 lines long
and there's a bunch of stuff there that looks like error output, such as this:

Generating docs for file
/builddir/build/BUILD/c07.02.01/source/hydr/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66:
Error: Unexpected character `8'
/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66: Error: Unexpected
character `1'
/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66: Error: Unexpected
character `H'
/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66: Error: Unexpected
character `i'
/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66: Error: Unexpected
character `o'
/builddir/build/BUILD/c07.02.01/source/hydro_vs_rates.h:66: Error: Unexpected
character `n'

but at the end I think what kills the build is:

Error: dot: can't open lines__service_8h_2a4d8a850b7f0515271aa4e92c71bd9f_cgraph.dot
Problems running dot: exit code=1, command='dot',
arguments='"lines__service_8h_2a4d8a850b7f0515271aa4e92c71bd9f_cgraph.dot" -Tpng
-o "lines__service_8h_2a4d8a850b7f0515271aa4e92c71bd9f_cgraph.png"'
Error: dot: can't open lines__service_8h_07a0a39c77d5a3b6cd9758bd0dd51378_cgraph.dot
Problems running dot: exit code=1, command='dot',
arguments='"lines__service_8h_07a0a39c77d5a3b6cd9758bd0dd51378_cgraph.dot" -Tpng
-o "lines__service_8h_07a0a39c77d5a3b6cd9758bd0dd51378_cgraph.png"'
Error: dot: can't open lines__service_8h_aa6a111a511c4f07dc11b62233ae2177_cgraph.dot
Problems running dot: exit code=1, command='dot',
arguments='"lines__service_8h_aa6a111a511c4f07dc11b62233ae2177_cgraph.dot" -Tpng
-o "lines__service_8h_aa6a111a511c4f07dc11b62233ae2177_cgraph.png"'
Could not open file
/builddir/build/BUILD/c07.02.01/doxygen/html/magnetic_8cpp.html for writing
s_service.h...

I thought it might have something to with too much parallelism on my eight-CPU
builder, but I turned off parallel make and the error is unchanged.  (The
random-looking portions of the strings do not change.)  The
/builddir/build/BUILD/c07.02.01/doxygen/html directory does exist in the chroot,
and I have no problems creating a file with that name, so I'm at a bit of a loss.
Comment 2 Marek Mahut 2008-02-20 03:38:20 EST
Rawhide is broken at the moment.

[+] source files match upstream a3fac860aad241da9bc21b5a37f6c8cb
[+] package meets naming and versioning guidelines.
[+] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license field matches the actual license.
[+] BSD license is open source-compatible.  
[+] latest version is being packaged.
[+] %clean is present.
[+] package builds in mock (dist-f8, rawhide is broken).
[+] package installs properly
[+] debuginfo package looks complete.
[+] rpmlint is silent.
[+] -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.


APPROVED.
Comment 3 Sergio Pascual 2008-02-21 04:11:17 EST
Ok, thanks

New Package CVS Request
=======================
Package Name: cloudy
Short Description: Spectral synthesis code to simulate conditions in
interstellar matter
Owners: sergiopr
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-02-22 13:06:05 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.